Logitech USB devices behaving strangely after update

,

I updated some packages through the Discover Software manage (it doesn’t tell you which ones were updated as far as I can tell so I couldn’t say which) and after the update my logitech usb keyboard and mouse both have some strange behaviours after a reboot, though I’m not sure it’s related.

My G502 X Wireless seems to have some scrolling issues after the reboot, going incredibly slowly or not working at all, until the G9 button is pressed at which point it is resolved until the next reboot.

My G512 has its RGB settings which I configure through OpenRGB reset every time I reboot, which again is resolved after reconfiguring it in OpenRGB.

Any help solving these issues would be appreciated.

You may be able to get which packages were updated by using pkcon get-transactions

It seems to be when I updated to kernel 6.6.2-201. Here’s the full list.

 - removing kernel-devel-6.5.10-200.fc38.x86_64
 - installing nvidia-modprobe-3:545.29.06-1.fc39.x86_64
 - installing kernel-6.6.2-201.fc39.x86_64
 - installing kernel-core-6.6.2-201.fc39.x86_64
 - installing kernel-devel-6.6.2-201.fc39.x86_64
 - installing kernel-modules-6.6.2-201.fc39.x86_64
 - installing kernel-modules-core-6.6.2-201.fc39.x86_64
 - installing kernel-modules-extra-6.6.2-201.fc39.x86_64
 - updating akmod-nvidia-3:545.29.06-1.fc39.x86_64
 - updating nvidia-persistenced-3:545.29.06-1.fc39.x86_64
 - updating nvidia-settings-3:545.29.06-1.fc39.x86_64
 - updating xorg-x11-drv-nvidia-3:545.29.06-1.fc39.x86_64
 - updating xorg-x11-drv-nvidia-cuda-3:545.29.06-1.fc39.x86_64
 - updating xorg-x11-drv-nvidia-cuda-libs-3:545.29.06-1.fc39.i686
 - updating xorg-x11-drv-nvidia-cuda-libs-3:545.29.06-1.fc39.x86_64
 - updating xorg-x11-drv-nvidia-kmodsrc-3:545.29.06-1.fc39.x86_64
 - updating xorg-x11-drv-nvidia-libs-3:545.29.06-1.fc39.i686
 - updating xorg-x11-drv-nvidia-libs-3:545.29.06-1.fc39.x86_64
 - updating xorg-x11-drv-nvidia-power-3:545.29.06-1.fc39.x86_64
 - updating google-chrome-stable-119.0.6045.199-1.x86_64
 - updating faad2-libs-1:2.11.1-1.fc39.x86_64
 - updating ffmpeg-6.0.1-3.fc39.x86_64
 - updating ffmpeg-libs-6.0.1-3.fc39.x86_64
 - updating libavdevice-6.0.1-3.fc39.x86_64
 - updating libde265-1.0.13-1.fc39.x86_64
 - updating autocorr-en-1:7.6.3.1-3.fc39.noarch
 - updating bind-libs-32:9.18.20-1.fc39.x86_64
 - updating bind-license-32:9.18.20-1.fc39.noarch
 - updating bind-utils-32:9.18.20-1.fc39.x86_64
 - updating blosc-1.21.5-2.fc39.x86_64
 - updating bluedevil-5.27.9-2.fc39.x86_64
 - updating btrfs-progs-6.6.2-1.fc39.x86_64
 - updating bubblewrap-0.8.0-1.fc39.x86_64
 - updating colord-kde-23.08.3-2.fc39.x86_64
 - updating createrepo_c-1.0.2-2.fc39.x86_64
 - updating createrepo_c-libs-1.0.2-2.fc39.x86_64
 - updating ethtool-2:6.6-1.fc39.x86_64
 - updating fedora-appstream-metadata-20231124-1.fc39.noarch
 - updating fedora-release-common-39-34.noarch
 - updating fedora-release-identity-kde-39-34.noarch
 - updating fedora-release-kde-39-34.noarch
 - updating fedora-release-workstation-39-34.noarch
 - updating firefox-120.0-3.fc39.x86_64
 - updating firefox-langpacks-120.0-3.fc39.x86_64
 - updating firewall-config-2.0.2-1.fc39.noarch
 - updating firewalld-2.0.2-1.fc39.noarch
 - updating firewalld-filesystem-2.0.2-1.fc39.noarch
 - updating flatpak-1.15.6-1.fc39.x86_64
 - updating flatpak-libs-1.15.6-1.fc39.x86_64
 - updating flatpak-selinux-1.15.6-1.fc39.noarch
 - updating flatpak-session-helper-1.15.6-1.fc39.x86_64
 - updating gdb-13.2-11.fc39.x86_64
 - updating gdb-headless-13.2-11.fc39.x86_64
 - updating gnutls-3.8.2-1.fc39.i686
 - updating gnutls-3.8.2-1.fc39.x86_64
 - updating gnutls-dane-3.8.2-1.fc39.x86_64
 - updating gnutls-utils-3.8.2-1.fc39.x86_64
 - updating ibus-1.5.29~rc2-3.fc39.x86_64
 - updating ibus-gtk2-1.5.29~rc2-3.fc39.x86_64
 - updating ibus-gtk3-1.5.29~rc2-3.fc39.x86_64
 - updating ibus-libs-1.5.29~rc2-3.fc39.x86_64
 - updating ibus-panel-1.5.29~rc2-3.fc39.x86_64
 - updating ibus-setup-1.5.29~rc2-3.fc39.noarch
 - updating java-17-openjdk-1:17.0.9.0.9-1.fc39.x86_64
 - updating java-17-openjdk-headless-1:17.0.9.0.9-1.fc39.x86_64
 - updating javascriptcoregtk4.0-2.42.2-1.fc39.x86_64
 - updating javascriptcoregtk4.1-2.42.2-1.fc39.x86_64
 - updating javascriptcoregtk6.0-2.42.2-1.fc39.x86_64
 - updating kernel-devel-matched-6.6.2-201.fc39.x86_64
 - updating kernel-headers-6.6.2-201.fc39.x86_64
 - updating libcap-2.48-8.fc39.i686
 - updating libcap-2.48-8.fc39.x86_64
 - updating libcmis-0.6.2-1.fc39.x86_64
 - updating libkworkspace5-5.27.9.1-3.fc39.x86_64
 - updating libmaxminddb-1.8.0-1.fc39.x86_64
 - updating librados2-2:18.2.1-1.fc39.x86_64
 - updating librbd1-2:18.2.1-1.fc39.x86_64
 - updating libreoffice-calc-1:7.6.3.1-3.fc39.x86_64
 - updating libreoffice-core-1:7.6.3.1-3.fc39.x86_64
 - updating libreoffice-data-1:7.6.3.1-3.fc39.x86_64
 - updating libreoffice-draw-1:7.6.3.1-3.fc39.x86_64
 - updating libreoffice-emailmerge-1:7.6.3.1-3.fc39.x86_64
 - updating libreoffice-filters-1:7.6.3.1-3.fc39.x86_64
 - updating libreoffice-graphicfilter-1:7.6.3.1-3.fc39.x86_64
 - updating libreoffice-gtk3-1:7.6.3.1-3.fc39.x86_64
 - updating libreoffice-gtk4-1:7.6.3.1-3.fc39.x86_64
 - updating libreoffice-help-en-1:7.6.3.1-3.fc39.x86_64
 - updating libreoffice-impress-1:7.6.3.1-3.fc39.x86_64
 - updating libreoffice-kf5-1:7.6.3.1-3.fc39.x86_64
 - updating libreoffice-langpack-en-1:7.6.3.1-3.fc39.x86_64
 - updating libreoffice-math-1:7.6.3.1-3.fc39.x86_64
 - updating libreoffice-ogltrans-1:7.6.3.1-3.fc39.x86_64
 - updating libreoffice-opensymbol-fonts-1:7.6.3.1-3.fc39.noarch
 - updating libreoffice-pdfimport-1:7.6.3.1-3.fc39.x86_64
 - updating libreoffice-pyuno-1:7.6.3.1-3.fc39.x86_64
 - updating libreoffice-ure-1:7.6.3.1-3.fc39.x86_64
 - updating libreoffice-ure-common-1:7.6.3.1-3.fc39.x86_64
 - updating libreoffice-writer-1:7.6.3.1-3.fc39.x86_64
 - updating libreoffice-x11-1:7.6.3.1-3.fc39.x86_64
 - updating libreoffice-xsltfilter-1:7.6.3.1-3.fc39.x86_64
 - updating libshaderc-2023.7-1.fc39.x86_64
 - updating liburing-2.5-1.fc39.x86_64
 - updating libuv-1:1.47.0-3.fc39.i686
 - updating libuv-1:1.47.0-3.fc39.x86_64
 - updating libvterm-0.3.3-1.fc39.x86_64
 - updating libwnck3-43.0-6.fc39.x86_64
 - updating mariadb-3:10.5.23-1.fc39.x86_64
 - updating mariadb-backup-3:10.5.23-1.fc39.x86_64
 - updating mariadb-common-3:10.5.23-1.fc39.x86_64
 - updating mariadb-cracklib-password-check-3:10.5.23-1.fc39.x86_64
 - updating mariadb-embedded-3:10.5.23-1.fc39.x86_64
 - updating mariadb-errmsg-3:10.5.23-1.fc39.x86_64
 - updating mariadb-gssapi-server-3:10.5.23-1.fc39.x86_64
 - updating mariadb-server-3:10.5.23-1.fc39.x86_64
 - updating mariadb-server-utils-3:10.5.23-1.fc39.x86_64
 - updating mysql-selinux-1.0.10-1.fc39.noarch
 - updating passt-0^20231119.g4f1709d-1.fc39.x86_64
 - updating passt-selinux-0^20231119.g4f1709d-1.fc39.noarch
 - updating pcsc-lite-2.0.1-1.fc39.x86_64
 - updating pcsc-lite-libs-2.0.1-1.fc39.x86_64
 - updating perf-6.6.2-201.fc39.x86_64
 - updating perl-Image-ExifTool-12.70-1.fc39.noarch
 - updating perl-Module-CoreList-1:5.20231120-1.fc39.noarch
 - updating pipewire-1.0.0-1.fc39.i686
 - updating pipewire-1.0.0-1.fc39.x86_64
 - updating pipewire-alsa-1.0.0-1.fc39.i686
 - updating pipewire-alsa-1.0.0-1.fc39.x86_64
 - updating pipewire-gstreamer-1.0.0-1.fc39.x86_64
 - updating pipewire-jack-audio-connection-kit-1.0.0-1.fc39.x86_64
 - updating pipewire-jack-audio-connection-kit-libs-1.0.0-1.fc39.x86_64
 - updating pipewire-libs-1.0.0-1.fc39.i686
 - updating pipewire-libs-1.0.0-1.fc39.x86_64
 - updating pipewire-pulseaudio-1.0.0-1.fc39.x86_64
 - updating pipewire-utils-1.0.0-1.fc39.x86_64
 - updating plasma-lookandfeel-fedora-5.27.9.1-3.fc39.noarch
 - updating plasma-workspace-5.27.9.1-3.fc39.x86_64
 - updating plasma-workspace-common-5.27.9.1-3.fc39.x86_64
 - updating plasma-workspace-geolocation-5.27.9.1-3.fc39.x86_64
 - updating plasma-workspace-geolocation-libs-5.27.9.1-3.fc39.x86_64
 - updating plasma-workspace-libs-5.27.9.1-3.fc39.x86_64
 - updating plasma-workspace-wayland-5.27.9.1-3.fc39.x86_64
 - updating plasma-workspace-x11-5.27.9.1-3.fc39.x86_64
 - updating podman-5:4.8.0-1.fc39.x86_64
 - updating python3-firewall-2.0.2-1.fc39.noarch
 - updating python3-pygit2-1.13.3-1.fc39.x86_64
 - updating qadwaitadecorations-qt5-0.1.3-2.fc39.x86_64
 - updating qadwaitadecorations-qt6-0.1.3-2.fc39.x86_64
 - updating qt5-qtbase-5.15.11-7.fc39.x86_64
 - updating qt5-qtbase-common-5.15.11-7.fc39.noarch
 - updating qt5-qtbase-gui-5.15.11-7.fc39.x86_64
 - updating qt5-qtbase-mysql-5.15.11-7.fc39.x86_64
 - updating sddm-breeze-5.27.9.1-3.fc39.noarch
 - updating sddm-wayland-plasma-5.27.9.1-3.fc39.noarch
 - updating spirv-tools-libs-2023.3-1.fc39.x86_64
 - updating systemd-254.7-1.fc39.x86_64
 - updating systemd-boot-unsigned-254.7-1.fc39.x86_64
 - updating systemd-container-254.7-1.fc39.x86_64
 - updating systemd-libs-254.7-1.fc39.i686
 - updating systemd-libs-254.7-1.fc39.x86_64
 - updating systemd-networkd-254.7-1.fc39.x86_64
 - updating systemd-oomd-defaults-254.7-1.fc39.noarch
 - updating systemd-pam-254.7-1.fc39.x86_64
 - updating systemd-resolved-254.7-1.fc39.x86_64
 - updating systemd-rpm-macros-254.7-1.fc39.noarch
 - updating systemd-udev-254.7-1.fc39.x86_64
 - updating vulkan-loader-1.3.268.0-1.fc39.i686
 - updating vulkan-loader-1.3.268.0-1.fc39.x86_64
 - updating vulkan-tools-1.3.268.0-1.fc39.x86_64
 - updating webkit2gtk4.0-2.42.2-1.fc39.x86_64
 - updating webkit2gtk4.1-2.42.2-1.fc39.x86_64
 - updating webkitgtk6.0-2.42.2-1.fc39.x86_64
 - updating wireplumber-0.4.16-1.fc39.x86_64
 - updating wireplumber-libs-0.4.16-1.fc39.x86_64
 - updating wxBase-3.2.4-1.fc39.x86_64
 - updating wxGTK-3.2.4-1.fc39.x86_64
 - updating wxGTK-i18n-3.2.4-1.fc39.noarch
 - updating xdg-desktop-portal-1.18.2-1.fc39.x86_64
 - updating xdg-desktop-portal-gnome-45.1-1.fc39.x86_64
 - updating xen-libs-4.17.2-5.fc39.x86_64
 - updating xen-licenses-4.17.2-5.fc39.x86_64

It was a lot of packages so I couldn’t say exactly which, but the kernel or maybe ibus are the most likely, though I don’t see how ibus could affect the mouse.

yes bus controllers can affect the mouse or other usbs if you are using wayland session, change it to x11 and then let us know for any other possibilities…

I am already using x11 because of issues with plasma that I wasn’t able to get resolved.